Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.actor
Class ActorDisposition

    java.lang.Object
      things.thinger.service.actor.ActorMessage
          things.thinger.service.actor.ActorDisposition

All Implemented Interfaces:
  java.io.Serializable

    public class ActorDisposition

extends ActorMessage

The actor disposition.

Version:
  1.0

  Version History

      EPG - Initial - 12 MAY 07

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Field Summary
`static int` | `DISPOSITION_ACK`
`static int` | `DISPOSITION_NACK`
`static int` | `DISPOSITION_NONE` Dispositions.
`static int` | `DISPOSITION_QUIT`
`int` | `myDisposition` The parameter name.

Fields inherited from class things.thinger.service.actor.ActorMessage
`sequence`

Constructor Summary
`ActorDisposition(int disposition, int seq)` Constructor.

Method Summary
`void` | `fail(java.lang.String message)` This will set the disposition to a NAK and throw a PuntException.
`void` | `failSoft(java.lang.String message)` This will set the disposition to a NAK but will not punt.
`void` | `fixType()` Fix any disposition work.
`void` | `ok()` It's ok.
`void` | `ok(java.lang.String message)` It's ok.

Methods inherited from class things.thinger.service.actor.ActorMessage
`addAttribute, addAttribute, addParamter, addParamter, getAttribute, getParameter, getType, load, save, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISPOSITION_NONE

    public static final int DISPOSITION_NONE

  Dispositions.

  See Also:
    Constant Field Values

### DISPOSITION_QUIT

    public static final int DISPOSITION_QUIT

See Also:
  Constant Field Values

### DISPOSITION_ACK

    public static final int DISPOSITION_ACK

See Also:
  Constant Field Values

### DISPOSITION_NACK

    public static final int DISPOSITION_NACK

See Also:
  Constant Field Values

### myDisposition

    public int myDisposition

  The parameter name.

Constructor Detail

### ActorDisposition

    public ActorDisposition(int disposition,
                            int seq)

  Constructor.

  Parameters:
    `disposition` -
    `seq` -

Method Detail

### fixType

    public void fixType()
                 throws java.lang.Throwable

  Fix any disposition work.

  Throws:
    `java.lang.Throwable`

### fail

    public void fail(java.lang.String message)
              throws java.lang.Throwable

  This will set the disposition to a NAK and throw a PuntException. It will set PARAMETER_RESPONSE as the message.

  Parameters:
    `message` - The message.
  Throws:
    `Throwable,` - but it will almost always be a PuntException
    `java.lang.Throwable`

### failSoft

    public void failSoft(java.lang.String message)
                  throws java.lang.Throwable

  This will set the disposition to a NAK but will not punt. It will set PARAMETER_RESPONSE as the message.

  Parameters:
    `message` - The message.
  Throws:
    `java.lang.Throwable`

### ok

    public void ok()
            throws java.lang.Exception

  It's ok.

  Throws:
    `java.lang.Exception`

### ok

    public void ok(java.lang.String message)
            throws java.lang.Throwable

  It's ok. It will set PARAMETER_RESPONSE as the message.

  Parameters:
    `message` - The message.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.